libvisio::VSDBullet Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions

| VSDBullet ()
| VSDBullet (const VSDBullet &bullet)=default
VSDBullet & | operator= (const VSDBullet &bullet)=default
bool | operator== (const VSDBullet &bullet) const
bool | operator!= (const VSDBullet &bullet) const
bool | operator! () const

## Public Attributes

librevenge::RVNGString | m_bulletStr
librevenge::RVNGString | m_bulletFont
double | m_bulletFontSize
double | m_textPosAfterBullet

## Constructor & Destructor Documentation

## VSDBullet() [1/2]

libvisio::VSDBullet::VSDBullet | ( |  | ) |

inline

Referenced by operator!=(), operator=(), operator==(), and VSDBullet().

## VSDBullet() [2/2]

libvisio::VSDBullet::VSDBullet | ( | const VSDBullet & | bullet | ) |

default

## Member Function Documentation

## operator!()

bool libvisio::VSDBullet::operator! | ( |  | ) | const

inline

## operator!=()

bool libvisio::VSDBullet::operator!= | ( | const VSDBullet & | bullet | ) | const

inline

## operator=()

VSDBullet & libvisio::VSDBullet::operator= | ( | const VSDBullet & | bullet | ) |

default

## operator==()

bool libvisio::VSDBullet::operator== | ( | const VSDBullet & | bullet | ) | const

inline

Referenced by operator!=().

## Member Data Documentation

## m_bulletFont

librevenge::RVNGString libvisio::VSDBullet::m_bulletFont

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_listLevelFromBullet(), operator==(), and VSDBullet().

## m_bulletFontSize

double libvisio::VSDBullet::m_bulletFontSize

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_listLevelFromBullet(), operator==(), and VSDBullet().

## m_bulletStr

librevenge::RVNGString libvisio::VSDBullet::m_bulletStr

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_listLevelFromBullet(), operator!(), operator==(), and VSDBullet().

## m_textPosAfterBullet

double libvisio::VSDBullet::m_textPosAfterBullet

Referenced by libvisio::VSDContentCollector::_bulletFromParaFormat(), libvisio::VSDContentCollector::_listLevelFromBullet(), operator==(), and VSDBullet().

The documentation for this struct was generated from the following file:

- VSDTypes.h